libzypp 17.37.10

zypp::kvmap::KVMapBase::CharSep< kv, f > Struct Template Reference

KVMapPolicy for KVMaps using a single char as separator (e.g. More...

`#include <zypp-core/kvmap.h>`

Inheritance diagram for zypp::kvmap::KVMapBase::CharSep< kv, f >:

## Public Member Functions
| CharSep ()
Public Member Functions inherited from zypp::kvmap::KVMapPolicy
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r)
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r, std::string kvjoin_r)
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r, std::string kvjoin_r, std::string fjoin_r)

## Additional Inherited Members
Public Attributes inherited from zypp::kvmap::KVMapPolicy
std::string | _kvsplit
std::string | _fsplit
std::string | _kvjoin
std::string | _fjoin

## Detailed Description

template<char kv, char f>
struct zypp::kvmap::KVMapBase::CharSep< kv, f >

KVMapPolicy for KVMaps using a single char as separator (e.g.

mount options).

Definition at line 106 of file kvmap.h.

## Constructor & Destructor Documentation

## ◆ CharSep()

template<char kv, char f>

zypp::kvmap::KVMapBase::CharSep< kv, f >::CharSep | ( |  | ) |
| inline

Definition at line 106 of file kvmap.h.

The documentation for this struct was generated from the following file:

- zypp-core/kvmap.h